Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1365951 - Upgrade trace-cmd to at least 2.2.4 and possibly to 2.5.x
Summary: Upgrade trace-cmd to at least 2.2.4 and possibly to 2.5.x
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: trace-cmd
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Jon Stanley
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-10 14:59 UTC by Zamir SUN
Modified: 2016-10-25 04:27 UTC (History)
5 users (show)

Fixed In Version: trace-cmd-2.6-1.fc24 trace-cmd-2.6-2.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1219852
Environment:
Last Closed: 2016-10-25 04:27:26 UTC


Attachments (Terms of Use)

Description Zamir SUN 2016-08-10 14:59:18 UTC
Port this bug to Fedora, as upstream is already 2.6 and there is already plan to update it in RHEL.
+++ This bug was initially created as a clone of Bug #1219852 +++

Description of problem:

We should either upgrade to 2.2.4 or to 2.5.x

Either one of these are minor version upgrades
Both contain a number of fixes that we should apply.

2.5.x would be preferable. This is also incremental, but is more likely to be supported for back-porting patches.

--- Additional comment from John Kacur on 2016-06-27 10:49:33 EDT ---

Upgraded to trace-cmd-2.6.0
Complete in trace-cmd-2.6.0-2.el7 and up

Comment 1 Zamir SUN 2016-08-10 15:01:26 UTC
@jonstanley I've make my update here
https://zsun.fedorapeople.org/pub/pkgs/trace-cmd/

Can you sponsor me as the co-maintainer for trace-cmd? If not, can you just update the package.

Comment 2 Fedora Update System 2016-08-20 02:33:18 UTC
trace-cmd-2.6-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1cdba6f2c8

Comment 3 Fedora Update System 2016-08-20 03:01:48 UTC
trace-cmd-2.6-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e437d0eff0

Comment 4 Jon Stanley 2016-08-20 03:02:58 UTC
In rawhide.

In queue for f24, f25 updates-testing.

Comment 5 Fedora Update System 2016-08-20 18:50:09 UTC
trace-cmd-2.6-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1cdba6f2c8

Comment 6 Fedora Update System 2016-08-21 04:24:20 UTC
trace-cmd-2.6-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e437d0eff0

Comment 7 Fedora Update System 2016-08-29 18:53:30 UTC
trace-cmd-2.6-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-10-20 22:56:56 UTC
trace-cmd-2.6-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ee6ff0e9f8

Comment 9 Fedora Update System 2016-10-20 22:57:19 UTC
trace-cmd-2.6-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1cdba6f2c8

Comment 10 Fedora Update System 2016-10-25 04:27:26 UTC
trace-cmd-2.6-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.